@import 'src/variables';

.spinner {
  margin: 120px auto 0;
  width: 120px;
  height: 120px;
  position: relative;

  .spinner-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 1rem;
    color: $thirdGreyColor;
    text-align: center;
  }

  .spinner-inner {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 0.5rem solid $primaryRedColor;
    animation: spin 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: $primaryRedColor transparent transparent transparent;
  }
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
